from maps_adv.export.lib.pipeline.transform import merge_category_campaigns


class MergeCategoryCampaignsStep:
    def __init__(self, config):
        self._category_campaigns = config.MONKEY_PATCH_MERGE_CATEGORY_CAMPAIGNS

    async def __call__(self, campaigns):
        return merge_category_campaigns(campaigns, self._category_campaigns)
